<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"template/start.php";
require_once"template/regglobals.php";
require_once"template/config.php";
require_once"template/functions.php";
require_once"template/antidos.php";
require_once"template/cookies.php";
require_once"template/gzip.php";
require_once"template/header.php";
require_once"template/referer.php";
include_once"themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


if(!file_exists("local/profil/$config_nikname.prof")){
//------------------------------- ШАГ ПЕРВЫЙ ------------------------------------//
if(!isset($act)){
echo'<img src="../images/img/partners.gif" alt=""> <b>ШАГ ПЕРВЫЙ - ПРОВЕРКА СИСТЕМЫ</b><br><br>';
echo'<div class=b><img src="images/img/forums.gif" alt=""> Проверка системы</div><br><br>';

$dir = opendir (BASEDIR."local"); 
while ($file = readdir ($dir)) 
{
if ($file!='.' && $file!='..' && $file!='license.key' && $file!='.htaccess'){
if(is_dir(BASEDIR."local/".$file)){$dires[]=$file;}else{$files[]=$file;}
}}
closedir ($dir); 

echo'<b>Готовность файлов</b><br><br>';

if(file(BASEDIR."local/.htaccess")){
echo 'Файл .htaccess задействован<br>';
if(is_writeable(BASEDIR."local/.htaccess")){echo'<font color="#FF0000">Внимание! На файл .htaccess не рекомедуется ставить права разрешающие запись<br>Установите обычные права (CHMOD) не позволяющие менять содержимое файла (обычно 644)</font><br>';}

}else{echo '<font color="#FF0000">Внимание!!! Файл .htaccess отсутствует, в данном случае безопасность не гарантируется<br>Если ваш сервер не поддерживает htaccess, рекомендуем сменить сервер, т.к. из-за отсутствия этого файла становятся доступные для злоумышленников системные, конфигурационные файлы, профили и письма пользователей<br></font>';}


$count=count($files);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в local/'.$files[$i].' - '; 
if(is_writeable('local/'.$files[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.permissions('local/'.$files[$i]).')<br>';
} 

 
echo'<br><hr><b>Готовность директорий</b><br><br>';


$count=count($dires);  
for($i=0;$i<$count;$i++){
echo 'Разрешенa запись в директорию local/'.$dires[$i].' - '; 
if(is_writeable('local/'.$dires[$i])){ echo '<font color="#00FF00">Да</font>'; }else{ echo '<font color="#FF0000">Нет</font>'; }
echo ' ('.permissions('local/'.$dires[$i]).')<br>';
} 



if(is_writeable('local/profil') && is_writeable('local/config.dat')){
echo '<br><br><font color="#00FF00">Самые важные файлы готовы к работе<br>Вы можете приступить к установке портала<br></font><br><br>'; 
echo 'Перед началом установки необходимо ознакомится с <b><a href="help/LICENSE.html"><font color="#FF0000">Лицензионным соглашением</font></a></b><br>';
echo '<br><b><a href="INSTALL.php?act=upd&amp;'.SID.'">Я ПРИНИМАЮ УСЛОВИЯ ЛИЦЕНЗИИ И ГОТОВ ПРИСТУПИТЬ К УСТАНОВКЕ</a></b>';
}else{
echo '<br><br><font color="#FF0000">Самые важные файлы НЕ готовы к работе<br>Вы НЕ можете приступить к установке портала<br>Вам необходимо выставить правильные атрибуты CHMOD, подробнее читайте в help/README.html</font>';
}
echo '<br><br>Если какой-то пункт выделен красным, необходимо зайти по фтп и выставить CHMOD разрешающую запись';
}


//------------------------------- ШАГ ВТОРОЙ ------------------------------------//
if($act=="upd"){
echo '<img src="../images/img/partners.gif" alt=""> <b>ШАГ ВТОРОЙ - ИНСТАЛЛЯЦИЯ</b><br><br>';
echo 'Прежде чем перейти к администрированию вашего сайта, необходимо пройти процесс инсталляции.<br>';
echo 'Эта процедура сама создаст аккаунт администратора и пропишет ваши данные.<br>';
echo 'Перед тем как нажимать кнопку Пуск, убедитесь, что на всех файлах и папках в директории local стоят права доступа, разрешающие в нее запись 777 (770) для папок и 666 (660) для файлов, иначе процесс не сможет быть завершен удачно.<br>';
echo 'После окончания инсталляции необходимо удалить файл INSTALL.php навсегда, пароль и остальные данные вы сможете поменять в своем профиле<br><br><hr>';
echo 'Внимание, только знаки латинского алфавита, цифры и знак тире<br>';	

if($config_themes!="wml"){
echo '<form method="post" action="INSTALL.php?act=install&amp;'.SID.'">';
echo 'Логин (max20) *<br>';
echo '<input name="name" maxlength="20" /><br>';
echo 'Пароль(max20) *<br>';
echo '<input name="password" type="password" maxlength="20" /><br>';
echo 'Повторите пароль *<br>';
echo '<input name="password2" type="password" maxlength="20" /><br>';
echo 'Ваш e-mail *<br>';
echo '<input name="oemails" maxlength="100" /><br>';
echo 'Адрес сайта *<br>';
echo '<input name="osite" value="http://'.$config_servername.'" maxlength="100" /><br>';
echo '<input value="Пуск" type="submit" /></form><hr>';

}else{
	
echo 'Логин (max20) *<br>';
echo '<input name="name"/><br>';
echo 'Пароль(max20) *<br>';
echo '<input name="password" type="password"/><br>';
echo 'Повторите пароль *<br>';
echo '<input name="password2" type="password"/><br>';
echo 'Ваш e-mail *<br>';
echo'<input name="oemails" maxlength="100"/><br>';
echo 'Адрес сайта *<br>';
echo'<input name="osite" value="http://'.$config_servername.'" maxlength="100"/><br>';

echo'<anchor>Пуск';
echo'<go href="INSTALL.php?act=install&amp;'.SID.'" method="post">';
echo'<postfield name="name" value="$(name)"/>';
echo'<postfield name="password" value="$(password)"/>';
echo'<postfield name="password2" value="$(password2)"/>';
echo'<postfield name="oemails" value="$(oemails)"/>';
echo'<postfield name="osite" value="$(osite)"/>';
echo'</go></anchor><br>--------------------<br>';
}
echo 'Все поля обязательны для заполнения<br>E-mail будет нужен для восстановления пароля, пишите только свои данные<br>Не нажимайте кнопку дважды, подождите до тех пор, пока процесс не завершится<br>';
echo 'В поле ввода адреса сайта необходимо ввести адрес в который у вас распакован движок, если это поддомен или папка, то необходимо указать ее, к примеру http://wap.visavi.net<br>';
echo 'Пароль необходимо выбирать посложнее, лучше всего состоящий из цифр, маленьких и больших латинских символов одновременно, длинее 5 символов';
}

//------------------------------- ШАГ ТРЕТИЙ ------------------------------------//
if($act=="install"){
echo'<img src="../images/img/partners.gif" alt=""> <b>ШАГ ТРЕТИЙ - РЕЗУЛЬТАТ УСТАНОВКИ</b><br><br>';


$str1=strlen($name);
$str2=strlen($password);

if ($name!="" && $password!="" && $oemails!="" && $osite!=""){
if ($str1<21 && $str1>2 && $str2<21 && $str2>2){	
if (!eregi("[^a-z0-9-]",$name) && !eregi("[^a-z0-9-]",$password)){ 
if ($password==$password2){	
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$oemails)){
if (preg_match('#^http://([a-z0-9_\-\.])+(\.([a-z0-9\/])+)+$#',$osite)){
//preg_match("#^(http://)?[a-z0-9\.-/]+\.[a-z]{2,4}$#"
$osite_name = strtoupper(str_replace("http://","",$osite));

$fp=fopen("local/profil/$name.prof","w");  
flock($fp,LOCK_EX);     

$passwords = md5($password);
$text=$name.':||:'.$passwords.':||:'.$rezerv2.':||:Администратор  сайта:||:'.$oemails.':||:'.$rezerv5.':||:'.time().':||:101:||:0:||:0:||:1:||:0:||:0:||:'.$brow.':||:'.$ip.':||:N:||:'.$rezerv16.':||:'.$rezerv17.':||:'.$rezerv18.':||:'.$rezerv19.':||:'.$config_themes.':||:'.$config_bookpost.':||:'.$config_postnews.':||:'.$config_forumpost.':||:'.$config_forumtem.':||:'.$config_userlist.':||:'.$config_chatpost.':||:'.$config_chatrew.':||:'.$config_boardspost.':||:'.$config_showdays.':||:'.$config_clocks.':||:'.$config_showtime.':||:'.$config_privatpost.':||:0:||:'.$rezerv34.':||:'.$rezerv35.':||:500:||:0:||:0:||::||:Администратор  сайта:||:100000:||:1:||:images/avators/noavatar.gif:||:'.$currDate.'/'.$currTime2.':||:1:||:'.$rezerv46.':||:'.$rezerv47.':||:'.$rezerv48.':||:'.$rezerv49.':||:'.$rezerv50.':||:'.$rezerv51.':||:'.$rezerv52.':||:'.$rezerv53.':||:'.$rezerv54.':||:0:||:'.$rezerv56.':||:'.$rezerv57.':||:'.$rezerv58.':||:'.$rezerv59.':||:'.$rezerv60.':||:'.$rezerv61.':||:'.$rezerv62.':||:'.$rezerv63.':||:'.$rezerv64.':||:'.$rezerv65.':||:1:||:'.$rezerv67.':||:'.$rezerv68.':||:'.$rezerv69.':||:'.$rezerv70.':||:'.$rezerv71.':||:'.$rezerv72.':||:'.$rezerv73.':||:'.$rezerv74.':||:'.$rezerv75.':||:'.$rezerv76.':||:'.$rezerv77.':||:'.$rezerv78.':||:'.$rezerv79.':||:'.$rezerv80.':||:'.$rezerv81.':||:'.$rezerv82.':||:'.$rezerv83.':||:'.$rezerv84.':||:'.$rezerv85.':||:'.$rezerv86.':||:'.$rezerv87.':||:'.$rezerv88.':||:'.$rezerv89.':||:'.$rezerv90.':||:'.$rezerv91.':||:'.$rezerv92.':||:'.$rezerv93.':||:'.$rezerv94.':||:'.$rezerv95.':||:'.$rezerv96.':||:'.$rezerv97.':||:'.$rezerv98.':||:'.$rezerv99.':||:'.$rezerv100.':||:';   
              
fputs($fp,$text);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod($fp, 0666); 
chmod("local/profil/$name.prof", 0666); 


/////////////////////////////////////////////////////////


$fp=fopen("local/privat/$name.$config_priv","w");  
flock($fp,LOCK_EX);         

$mess='Привет '.$name.'! Спасибо за установку нашего портала WAP-MOTOR ver. '.$motor_version.', новые версии, моды, плагины, а также множество других дополнений вы найдете на нашем сайте http://VISAVI.NET . Не забудьте удалить файлы INSTALL.php и UPGRADE.php, не оставляйте их на сайте';
$mess=base64_encode($mess);
$pozdr='Vantuz|'.$mess.'|'.$currDate.' / '.$currTime.'||';      
                                   
fputs($fp,"$pozdr\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod ("local/privat/$name.$config_priv", 0666);



$fp=fopen("local/config.dat","a+");
flock ($fp,LOCK_EX);
$keypass=generate_password();

$configdata=$con_data[0].'|'.$keypass.'|'.$con_data[2].'|'.$con_data[3].'|'.$con_data[4].'|'.$con_data[5].'|'.$con_data[6].'|'.$con_data[7].'|'.$name.'|'.$oemails.'|'.$con_data[10].'|'.$osite_name.'|'.$con_data[12].'|&#169; '.$osite_name.'|'.$osite.'|'.$osite.'/images/img/wap-motor.gif|'.$con_data[16].'|'.$con_data[17].'|'.$con_data[18].'|'.$con_data[19].'|'.$con_data[20].'|'.$con_data[21].'|'.$con_data[22].'|'.$con_data[23].'|'.$con_data[24].'|'.$con_data[25].'|'.$con_data[26].'|'.$con_data[27].'|'.$con_data[28].'|'.$con_data[29].'|'.$con_data[30].'|'.$con_data[31].'|'.$con_data[32].'|'.$con_data[33].'|'.$con_data[34].'|'.$con_data[35].'|'.$con_data[36].'|'.$con_data[37].'|'.$con_data[38].'|'.$con_data[39].'|'.$con_data[40].'|'.$con_data[41].'|'.$con_data[42].'|'.$con_data[43].'|'.$con_data[44].'|'.$con_data[45].'|'.$con_data[46].'|'.$con_data[47].'|'.$con_data[48].'|'.$con_data[49].'|'.$con_data[50].'|'.$con_data[51].'|'.$con_data[52].'|'.$con_data[53].'|'.$con_data[54].'|'.$con_data[55].'|'.$con_data[56].'|'.$con_data[57].'|'.$con_data[58].'|'.$con_data[59].'|'.$con_data[60].'|'.$con_data[61].'|'.$con_data[62].'|'.$con_data[63].'|'.$con_data[64].'|'.$con_data[65].'|'.$con_data[66].'|'.$con_data[67].'|'.$con_data[68].'|'.$con_data[69].'|'.$con_data[70].'|'.$con_data[71].'|'.$con_data[72].'|'.$con_data[73].'|'.$con_data[74].'|'.$con_data[75].'|'.$con_data[76].'|'.$con_data[77].'|'.$con_data[78].'|'.$con_data[79].'|'.$con_data[80].'|'.$con_data[81].'|'.$con_data[82].'|'.$con_data[83].'|'.$con_data[84].'|'.$con_data[85].'|'.$con_data[86].'|'.$con_data[87].'|'.$con_data[88].'|'.$con_data[89].'|'.$con_data[90].'|'.$con_data[91].'|'.$con_data[92].'|'.$con_data[93].'|'.$con_data[94].'|'.$con_data[95].'|'.$con_data[96].'|'.$con_data[97].'|'.$con_data[98].'|'.$con_data[99].'|'.$con_data[100].'|';

ftruncate ($fp,0);
fputs($fp,$configdata);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);



$dates=date("d.m.y");
$times=date("H:i"); 

$conf_news='Супер новость!|Ура! Мы установили новый движок для сайта WAP-MOTOR PORTAL ver. '.$motor_version.'! Скачать этот движок вы можете с официального сайта http://visavi.net|'.$dates.'|'.$times.'|'.$name.'|1|';
$fp=fopen("local/news.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$conf_news\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

echo 'ПОЗДРАВЛЯЕМ, ваш пароль и логин созданы,теперь вы можете войти под своим аккаунтом на сайт, если все прошло удачно на главной страничке вы должны увидеть ссылку АДМИНКА, она будет показываться только вам, также НЕОБХОДИМО удалить файлы INSTALL.php и UPGRADE.php<br><br><br>УДАЛИТЕ INSTALL.php НЕ СТОИТ ДЕРЖАТЬ ЕГО НА САЙТЕ<br><br>';

echo'<img src="images/img/reload.gif" alt=""> <b><a href="input.php?log='.$name.'&amp;par='.$password.'&amp;cookietrue=1&amp;'.SID.'">Войти на сайт</a></b>';

} else {echo 'Неверный адрес сайта! (Необходимо http://sitename.domen)<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} else {echo 'Неверный формат e-mail! (Необходимо name@name.name)<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} else {echo 'Пароли не совпадают! (Необходимо одинаковые пароли из двух полей ввода)<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} else {echo 'В логине и пароле разрешены только знаки латинского алфавита и знак тире!<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} else {echo 'Слишком длинный (короткий) пароль или логин! (Необходимо от 3 до 20 символов)<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} else {echo 'Отсутствуют важные данные!<br><a href="INSTALL.php?act=upd&amp;'.SID.'">Вернуться</a>';}
} 
}else{
echo '<br><img src="images/img/antihacking.gif" alt=""> <b><font color="#FF0000">Ошибка инсталляции!</font></b><br>';
echo 'Вы не сможете установить портал. Профиль администратора уже создан.<br>';
echo 'Если вы хотите сбросить пароль, то вам необходимо вручную удалить файл local/profil/логин_админа.prof';}
echo '<br><br><img src="'.BASEDIR.'images/img/homepage.gif" alt=""> <a href="'.BASEDIR.'index.php?'.SID.'">На главную</a><br>';
include_once"themes/$config_themes/foot.php";
 ?>
